diff --git a/pki/base/kra/src/com/netscape/kra/EncryptionUnit.java b/pki/base/kra/src/com/netscape/kra/EncryptionUnit.java
index 32c17b08a0365b7b5d515b7f8c41ee86e8c38e2b..946f576133e82b09431b0cc2dd66c62902f04f68 100644
--- a/pki/base/kra/src/com/netscape/kra/EncryptionUnit.java
+++ b/pki/base/kra/src/com/netscape/kra/EncryptionUnit.java
@@ -85,7 +85,6 @@ public abstract class EncryptionUnit implements IEncryptionUnit {
             throws EBaseException {
         try {
             CMS.debug("EncryptionUnit.encryptInternalPrivate");
-            CryptoToken token = getToken();
             CryptoToken internalToken = getInternalToken();
 
             // (1) generate session key
diff --git a/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java b/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
index c195a78ae302712a2a30ef400295957d6c7521dc..cf2b2d52aa372fcde6f6d50f104983d0696dbc7a 100644
--- a/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
+++ b/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
@@ -1424,8 +1424,6 @@ public class KeyRecoveryAuthority implements IAuthority, IKeyService, IKeyRecove
             nc = mConfig.getSubStore(PROP_NOTIFY_SUBSTORE);
             if (nc != null && nc.size() > 0) {
                 // Initialize Request In Queue notification listener
-                IConfigStore rq = nc.getSubStore(PROP_REQ_IN_Q_SUBSTORE);
-
                 String requestInQListenerClassName =
                         nc.getString("certificateIssuedListenerClassName",
                                 "com.netscape.cms.listeners.RequestInQListener");
@@ -1662,13 +1660,11 @@ public class KeyRecoveryAuthority implements IAuthority, IKeyService, IKeyRecove
         }
 
         byte rawData[] = cert.getPublicKey().getEncoded();
-        String key = null;
 
         // convert "rawData" into "base64Data"
         if (rawData != null) {
-            String base64Data = null;
-
-            base64Data = CMS.BtoA(rawData).trim();
+            String base64Data = CMS.BtoA(rawData).trim();
+            String key = "";
 
             // extract all line separators from the "base64Data"
             for (int i = 0; i < base64Data.length(); i++) {
@@ -1676,6 +1672,8 @@ public class KeyRecoveryAuthority implements IAuthority, IKeyService, IKeyRecove
                     key += base64Data.substring(i, i);
                 }
             }
+
+            return key;
         }
 
         return ILogger.SIGNED_AUDIT_EMPTY_VALUE;
diff --git a/pki/base/kra/src/com/netscape/kra/RecoveryService.java b/pki/base/kra/src/com/netscape/kra/RecoveryService.java
index 89f8f042acb3e7a16e9c99858507c90d8bf92357..c8ecdcf5a08adb0d000b68f2261d3e4bb0e76a7d 100644
--- a/pki/base/kra/src/com/netscape/kra/RecoveryService.java
+++ b/pki/base/kra/src/com/netscape/kra/RecoveryService.java
@@ -272,8 +272,8 @@ public class RecoveryService implements IService {
             if (statsSub != null) {
                 statsSub.startTiming("unwrap_key");
             }
-            PrivateKey privateKey = mKRA.getStorageKeyUnit().unwrap(
-                    keyRecord.getPrivateKeyData(), null);
+            mKRA.getStorageKeyUnit().unwrap(
+                    keyRecord.getPrivateKeyData(), null); // throw exception on error
             if (statsSub != null) {
                 statsSub.endTiming("unwrap_key");
             }
diff --git a/pki/base/migrate/80/MigrateSecurityDomain.java b/pki/base/migrate/80/MigrateSecurityDomain.java
index 420e1780555b8203d9fa88f3e88e33ad2bbcdf16..4624f12598c8b739fabc87c0b830a83afb8064c6 100644
--- a/pki/base/migrate/80/MigrateSecurityDomain.java
+++ b/pki/base/migrate/80/MigrateSecurityDomain.java
@@ -187,10 +187,10 @@ public class MigrateSecurityDomain {
                 NodeList nodeList = doc.getElementsByTagName(type);
                 int len = nodeList.getLength();
                 for (int i = 0; i < len; i++) {
-                    Vector v_clone = parser.getValuesFromContainer(nodeList.item(i), "Clone");
-                    Vector v_name = parser.getValuesFromContainer(nodeList.item(i), "SubsystemName");
-                    Vector v_host = parser.getValuesFromContainer(nodeList.item(i), "Host");
-                    Vector v_port = parser.getValuesFromContainer(nodeList.item(i), "SecurePort");
+                    Vector<String> v_clone = parser.getValuesFromContainer(nodeList.item(i), "Clone");
+                    Vector<String> v_name = parser.getValuesFromContainer(nodeList.item(i), "SubsystemName");
+                    Vector<String> v_host = parser.getValuesFromContainer(nodeList.item(i), "Host");
+                    Vector<String> v_port = parser.getValuesFromContainer(nodeList.item(i), "SecurePort");
 
                     String cn = (String) v_host.elementAt(0) + ":" + (String) v_port.elementAt(0);
                     String dn = "cn=" + cn + ",cn=" + type + "List,ou=Security Domain," + basedn;
diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureSubCA.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureSubCA.java
index 6dacc9e08f1bc537306b74910ffdcc18b91acc40..f257f481281f77e3e90f445f94550303dbbe9d70 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureSubCA.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureSubCA.java
@@ -211,7 +211,6 @@ public class ConfigureSubCA {
     }
 
     public boolean TokenChoicePanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -263,7 +262,6 @@ public class ConfigureSubCA {
     }
 
     public boolean DomainPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -352,7 +350,6 @@ public class ConfigureSubCA {
     }
 
     public boolean HierarchyPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -372,7 +369,6 @@ public class ConfigureSubCA {
     }
 
     public boolean LdapConnectionPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -400,7 +396,6 @@ public class ConfigureSubCA {
     }
 
     public boolean KeyPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -474,7 +469,6 @@ public class ConfigureSubCA {
     }
 
     public boolean CertSubjectPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -594,7 +588,6 @@ public class ConfigureSubCA {
     }
 
     public boolean BackupPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -733,7 +726,6 @@ public class ConfigureSubCA {
     }
 
     public boolean UpdateDomainPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureTKS.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureTKS.java
index 092658b5085547f0851aa7960277d188c8e3fad3..aaffdebf8d86a8521a768ead39e0071de6d54930 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureTKS.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureTKS.java
@@ -192,7 +192,6 @@ public class ConfigureTKS {
     }
 
     public boolean TokenChoicePanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -242,7 +241,6 @@ public class ConfigureTKS {
     }
 
     public boolean DomainPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -323,7 +321,6 @@ public class ConfigureTKS {
     }
 
     public boolean SubsystemPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -343,7 +340,6 @@ public class ConfigureTKS {
     }
 
     public boolean LdapConnectionPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -371,7 +367,6 @@ public class ConfigureTKS {
     }
 
     public boolean KeyPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -426,7 +421,6 @@ public class ConfigureTKS {
     }
 
     public boolean CertSubjectPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -507,7 +501,6 @@ public class ConfigureTKS {
     }
 
     public boolean BackupPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -547,7 +540,7 @@ public class ConfigureTKS {
             String line = null;
             while ((line = br.readLine()) != null)
                 System.out.println("Error: " + line);
-            int exitVal = proc.waitFor();
+            proc.waitFor();
 
             // verify p12 file
 
@@ -669,7 +662,6 @@ public class ConfigureTKS {
     }
 
     public boolean UpdateDomainPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureTPS.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureTPS.java
index d4df34a39158661fd1b1f3a8794878e6ed286263..a41a5ef4e65928dae94cb981b8bd42e4d5f39b6e 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureTPS.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureTPS.java
@@ -194,7 +194,6 @@ public class ConfigureTPS {
     }
 
     public boolean DomainPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -270,7 +269,6 @@ public class ConfigureTPS {
     }
 
     public boolean SubsystemPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -305,7 +303,6 @@ public class ConfigureTPS {
 
         sleep_time();
         // TKS choice panel
-        String tks_url = "https://" + tks_hostname + ":" + tks_ssl_port;
         query_string = "p=7" +
                         "&urls=0" +
                         "&op=next" +
@@ -341,7 +338,6 @@ public class ConfigureTPS {
 
     public boolean LdapAuthConnectionPanel() {
         // auth db 
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -367,7 +363,6 @@ public class ConfigureTPS {
     }
 
     public boolean LdapConnectionPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -401,7 +396,6 @@ public class ConfigureTPS {
     }
 
     public boolean TokenChoicePanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -549,7 +543,6 @@ public class ConfigureTPS {
     }
 
     public boolean AdminCertReqPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
diff --git a/pki/base/silent/src/com/netscape/pkisilent/CreateInstance.java b/pki/base/silent/src/com/netscape/pkisilent/CreateInstance.java
index ddc356a078007b5b6c3d4144da3f99360658e1ba..85113fcea59c2375ba512b1aad161cfc8729b1a2 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/CreateInstance.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/CreateInstance.java
@@ -53,7 +53,7 @@ public class CreateInstance {
 
     }
 
-    public boolean CreateInstance() {
+    public boolean execute() {
         String startURL = "/cert/Tasks/Operation/Create";
         String myStringUrl = "http://" + host + "." + adminDomain + ":" + port
                 + startURL;
@@ -71,7 +71,7 @@ public class CreateInstance {
 
         PostQuery sm = new PostQuery(myStringUrl, AdminDN, AdminDNPW, query);
 
-        return (sm.Send());
+        return sm.Send();
 
     }
 
@@ -96,7 +96,7 @@ public class CreateInstance {
 
         }
 
-        boolean st = newinstance.CreateInstance();
+        boolean st = newinstance.execute();
 
         if (!st) {
             System.out.println("ERROR: Certificate System - Instance NOT created");
diff --git a/pki/base/silent/src/com/netscape/pkisilent/argparser/StringScanner.java b/pki/base/silent/src/com/netscape/pkisilent/argparser/StringScanner.java
index c6bddf26c4a28a633f770d67e1ab63e6c57f6c56..271dd0c62b945d5331c97348b4d8945d9390f198 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/argparser/StringScanner.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/argparser/StringScanner.java
@@ -372,7 +372,6 @@ class StringScanner {
         char c;
         // parse [-][0-9]*[.][0-9]*[eE][-][0-9]*
         boolean hasDigits = false;
-        boolean signed;
         double value = 0;
 
         skipWhiteSpace();
@@ -380,7 +379,7 @@ class StringScanner {
             exception = new StringScanException("end of input");
         } else {
             if ((c = buf[idx]) == '-' || c == '+') {
-                signed = true;
+                // signed
                 idx++;
             }
             if (matchDigits()) {
@@ -402,7 +401,7 @@ class StringScanner {
                 if ((c = buf[idx]) == 'e' || c == 'E') {
                     idx++;
                     if ((c = buf[idx]) == '-' || c == '+') {
-                        signed = true;
+                        // signed
                         idx++;
                     }
                     if (buf[idx] < '0' || buf[idx] > '9') {
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/CMSConfig.java b/pki/base/silent/src/com/netscape/pkisilent/common/CMSConfig.java
index f5737167e1ed0d55015571b351861148f755568b..3e4f0bfa2cab98e5819d62f883ecc99ebb467299 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/CMSConfig.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/CMSConfig.java
@@ -558,8 +558,8 @@ public class CMSConfig extends ServerInfo {
         }
 
         CMSConfig s = new CMSConfig(args[0]);
-        boolean secureC = false;
 
+        // boolean secureC = false;
         // s.EnableDirEnrollment(secureC);	
         s.saveCMSConfig();
 
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/Con2Agent.java b/pki/base/silent/src/com/netscape/pkisilent/common/Con2Agent.java
index 8071dcb29f081e7bcdd64fbfa2aab33d808016df..61305305e8a081c6002758cd15a696ba655bf774 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/Con2Agent.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/Con2Agent.java
@@ -23,7 +23,6 @@ import java.io.BufferedReader;
 import java.io.InputStreamReader;
 import java.io.OutputStream;
 import java.io.PrintStream;
-import java.util.Enumeration;
 import java.util.Vector;
 
 import org.mozilla.jss.CryptoManager;
@@ -77,16 +76,9 @@ public class Con2Agent implements SSLClientCertificateSelectionCallback,
     }
 
     public String select(@SuppressWarnings("rawtypes") Vector nicknames) {
-        Enumeration<?> e = nicknames.elements();
 
         System.out.println("nicknames size = " + nicknames.size());
-        int i = 0;
-
-        while (e.hasMoreElements()) {
-            String s = (String) e.nextElement();
-
-            i++;
-        }
+        int i = nicknames.size();
 
         if (i > 0) {
             return (String) nicknames.elementAt(0);
@@ -165,8 +157,6 @@ public class Con2Agent implements SSLClientCertificateSelectionCallback,
     // Submit requests 
 
     public boolean Send() {
-        boolean st = false;
-
         try {
 
             if (!loginCertDB()) {
@@ -235,7 +225,7 @@ public class Con2Agent implements SSLClientCertificateSelectionCallback,
 
     private boolean loginCertDB() {
         CryptoManager manager;
-        Password pass1 = null, pass2 = null;
+        Password pass1 = null;
 
         try {
             System.out.println("Step 1: Initializing CryptoManager");
@@ -282,8 +272,6 @@ public class Con2Agent implements SSLClientCertificateSelectionCallback,
 
     public boolean Send_withGET() {
 
-        boolean st = false;
-
         try {
 
             if (!loginCertDB()) {
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/ParseXML.java b/pki/base/silent/src/com/netscape/pkisilent/common/ParseXML.java
index 22c1c402c449286a4e6a79edfae383ffb3f7871f..de1b38172ab9144ff2824d0a06e23d3c7f4892cf 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/ParseXML.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/ParseXML.java
@@ -127,7 +127,6 @@ public class ParseXML {
     // returns an arraylist of values for the corresponding tag
 
     public ArrayList<String> constructValueList(String first, String second) {
-        String temp = null;
         ArrayList<String> al = new ArrayList<String>();
 
         try {
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/PostQuery.java b/pki/base/silent/src/com/netscape/pkisilent/common/PostQuery.java
index b6ab3fe8cd4f22898389d943204b95d308e823d4..31fb07b3ef5ced31a35f1ae29dbb2167e8c32108 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/PostQuery.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/PostQuery.java
@@ -83,7 +83,6 @@ public class PostQuery {
 
         try {
 
-            BufferedReader mbufferedReader = null;
             URL myUrl = new URL(URLString);
             String userPassword = adminID + ":" + adminPWD;
 
@@ -108,8 +107,6 @@ public class PostQuery {
 
             System.out.println("Query: " + postQuery);
 
-            int querylength = postQuery.length();
-
             os.writeBytes(postQuery);
             os.flush();
             os.close();
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/ServerInfo.java b/pki/base/silent/src/com/netscape/pkisilent/common/ServerInfo.java
index f63a0f54bb187abf3a081dce78bd6b4e12625b34..f63456b4d44e102a80aae895e07e95001937dc24 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/ServerInfo.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/ServerInfo.java
@@ -177,18 +177,6 @@ public class ServerInfo {
             String s = in.readLine();
 
             while (s != null) {
-                // <SSLPARAMS servercertnickname="Server-Cert cert-firefly"
-                int index = s.indexOf("servercertnickname");
-
-                if (index >= 0) {
-                    String str = s.substring(index + 20);
-                    StringTokenizer tokenizer = new StringTokenizer(str, "\"");
-
-                    if (tokenizer.hasMoreElements()) {
-                        String mServerCertNickname = tokenizer.nextToken();
-                    }
-                }
-
                 // <LS id="agent" ip="0.0.0.0" port="8101" security="on"
                 // acceptorthreads="1" blocking="no">
                 if (s.startsWith("<LS id=")) {
@@ -213,7 +201,7 @@ public class ServerInfo {
                         }
 
                         if (index1 != 5 && index2 == IP && !token.equals(" ip=")) {
-                            String ip = token;
+                            // token contains the ip value
                         } else if (index2 == PORT && !token.equals(" port=")) {
 
                             switch (index1) {
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/TestClient.java b/pki/base/silent/src/com/netscape/pkisilent/common/TestClient.java
index 87161d6897260cbbfcc7892d4c64c58384a9143c..0e4ed9cdd714ed30b8bfb391f719a925083e9b61 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/TestClient.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/TestClient.java
@@ -468,7 +468,6 @@ public class TestClient implements SSLCertificateApprovalCallback {
     public String getFreePort(String s) {
         Integer x = new Integer(s);
         int p = x.intValue();
-        boolean st = true;
 
         // if p = 0, then the serversocket constructor get a free port by itself
         p = 0;
@@ -756,10 +755,10 @@ public class TestClient implements SSLCertificateApprovalCallback {
          *************************************************************
          */
 
-        String TransportCert =
+        /*
+         String TransportCert =
                 "MIICJTCCAY6gAwIBAgIBBTANBgkqhkiG9w0BAQQFADBDMRswGQYDVQQKExJhY2NlcHRhY25ldGVzdDEwMjQxFzAVBgNVBAsTDmFjY2VwdGFuY2V0ZXN0MQswCQYDVQQDEwJjYTAeFw0wMzA0MTgyMjMwMDhaFw0wNDA0MTcxMDI2MDhaMDkxETAPBgNVBAoTCHRlc3QxMDI0MRcwFQYDVQQLEw5hY2NlcHRhbmNldGVzdDELMAkGA1UEAxMCcmEwgZ8wDQYJKoZIhvcNAQEBBQADgY0AMIGJAoGBAN6sQ3mSU8mL6i6gTZIXDLzOZPhYOkQLpnJjit5hcPZ0JMn0CQVXo4QjKN1xvuZv8qVlZoQw9czmzp/knTa0sCDgFKd0r+u0TnLeZkJMSimgFnma9CnChlaDHnBd8Beu4vyaHmo7rJ0xA4etn7HjhmKbaQZOcv/aP0SW9JXRga7ZAgMBAAGjMzAxMA4GA1UdDwEB/wQEAwIFIDAfBgNVHSMEGDAWgBSC3fsQHb7fddr2vL0UdkM2dAmUWzANBgkqhkiG9w0BAQQFAAOBgQBkAGbgd9HIqwoLKAr+V6bj9oWesDmDH80gPPxj10qyWSQYIs8PofOs/75yGS9nxhydtgSMFoBgCPdroUI31kZQQlFzxtudGoKD+5MWSXho79XzPwpjheOBYgpX6ch+L4tMLFDpqeraB1yZESO5EEeKm20DGVBOKVWxHhddO1BenA==";
 
-        /*
          CRMFClient	CrmfClient = new CRMFClient(s.GetHostName(),s.GetEEPort());
          CrmfClient.setDBInfo(t.GetClientCertDB(),t.GetClientCertDBPW());
          CrmfClient.setTransportCert(TransportCert);
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/UserEnroll.java b/pki/base/silent/src/com/netscape/pkisilent/common/UserEnroll.java
index e5c2f0b4a5916ba6869f61a893d53a0510805680..5761c6f779c76acc45e6684c421cb81938933014 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/UserEnroll.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/UserEnroll.java
@@ -502,7 +502,6 @@ public class UserEnroll extends TestClient {
     public static void main(String args[]) {
         // Exit Status - (0) for error/Fail
         // - requestId Pass
-        boolean st;
 
         UserEnroll e = new UserEnroll("jupiter2", "1027",
                 "E=test,cn=test,uid=test", "test", "test", "test", "t1", "t",
diff --git a/pki/base/silent/src/com/netscape/pkisilent/http/HTTPClient.java b/pki/base/silent/src/com/netscape/pkisilent/http/HTTPClient.java
index c9584463d632da89c34b9caaba373f2906cd95c3..3c715226d36d9012a374ba63f874b93b6ec8a75c 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/http/HTTPClient.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/http/HTTPClient.java
@@ -1081,7 +1081,6 @@ public class HTTPClient implements SSLCertificateApprovalCallback {
     public static void main(String args[]) {
         HTTPClient hc = new HTTPClient();
         HTTPResponse hr = null;
-        byte[] responseData = null;
 
         // parse args
         StringHolder x_hostname = new StringHolder();
@@ -1208,8 +1207,6 @@ public class HTTPClient implements SSLCertificateApprovalCallback {
 
         // collect and print response
 
-        responseData = hr.getResponseData();
-
         if (hr.getStatusCode() == 200)
             System.out.println("Response from Host:" + cs_hostname + " OK");
         else {
diff --git a/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java b/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
index bf4de6a830fec4adff9e24541c76840f38839077..bf8a9cfc1495be9a6aae315f29779414eff3548a 100644
--- a/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
+++ b/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
@@ -965,7 +965,6 @@ public class CryptoUtil {
 
         while (enums.hasMoreElements()) {
             CryptoToken token = enums.nextElement();
-            String tokenName = token.getName();
             CryptoStore store = token.getCryptoStore();
             PrivateKey keys[] = store.getPrivateKeys();
 
diff --git a/pki/base/util/src/com/netscape/cmsutil/crypto/Module.java b/pki/base/util/src/com/netscape/cmsutil/crypto/Module.java
index 16f948fd7950cece11a77ab634e69a6e5805628f..bf4a7fe73f4db29b5d30f4da303dd8ccddb2dc01 100644
--- a/pki/base/util/src/com/netscape/cmsutil/crypto/Module.java
+++ b/pki/base/util/src/com/netscape/cmsutil/crypto/Module.java
@@ -28,20 +28,20 @@ public class Module {
     private String mUserFriendlyName = "";
     private String mImagePath = "";
     // a Vector of Tokens
-    private Vector mTokens = null;
+    private Vector<Token> mTokens = null;
     private boolean mFound = false;
 
     public Module(String name, String printName) {
         mCommonName = name;
         mUserFriendlyName = printName;
-        mTokens = new Vector();
+        mTokens = new Vector<Token>();
     }
 
     public Module(String name, String printName, String image) {
         mCommonName = name;
         mUserFriendlyName = printName;
         mImagePath = image;
-        mTokens = new Vector();
+        mTokens = new Vector<Token>();
     }
 
     public void addToken(CryptoToken t) {
@@ -69,7 +69,7 @@ public class Module {
         mFound = isFound;
     }
 
-    public Vector getTokens() {
+    public Vector<Token> getTokens() {
         return mTokens;
     }
 }
diff --git a/pki/base/util/src/com/netscape/cmsutil/xml/XMLObject.java b/pki/base/util/src/com/netscape/cmsutil/xml/XMLObject.java
index 8317ad785f8773631507f2d89231cf1cebbfd417..ed2fb67eed9665ba533dbefa970cf3f574ef4769 100644
--- a/pki/base/util/src/com/netscape/cmsutil/xml/XMLObject.java
+++ b/pki/base/util/src/com/netscape/cmsutil/xml/XMLObject.java
@@ -122,8 +122,8 @@ public class XMLObject {
         return null;
     }
 
-    public Vector getAllValues(String tagname) {
-        Vector v = new Vector();
+    public Vector<String> getAllValues(String tagname) {
+        Vector<String> v = new Vector<String>();
         NodeList nodes = mDoc.getElementsByTagName(tagname);
         for (int i = 0; i < nodes.getLength(); i++) {
             Node n = nodes.item(i);
diff --git a/pki/base/util/src/netscape/net/TransferProtocolClient.java b/pki/base/util/src/netscape/net/TransferProtocolClient.java
index cadacaa0f041a320766f6d41304287e77283dd81..76e3a9c2114fa686499de7d6c586d6abb6a34dcd 100644
--- a/pki/base/util/src/netscape/net/TransferProtocolClient.java
+++ b/pki/base/util/src/netscape/net/TransferProtocolClient.java
@@ -35,7 +35,7 @@ public class TransferProtocolClient extends NetworkClient {
      * Array of strings (usually 1 entry) for the last reply
      * from the server.
      */
-    protected Vector serverResponse = new Vector(1);
+    protected Vector<String> serverResponse = new Vector<String>(1);
 
     /** code for last reply */
     protected int lastReplyCode;
@@ -112,7 +112,7 @@ public class TransferProtocolClient extends NetworkClient {
     }
 
     /** Returns all server response strings. */
-    public Vector getResponseStrings() {
+    public Vector<String> getResponseStrings() {
         return serverResponse;
     }
 
diff --git a/pki/base/util/src/netscape/security/extensions/GenericASN1Extension.java b/pki/base/util/src/netscape/security/extensions/GenericASN1Extension.java
index 6e28b4a0ee3e691e18e97af21694fc7a5a4a2eba..ff1ea71733d2014319743150a0db0e4b1154220b 100644
--- a/pki/base/util/src/netscape/security/extensions/GenericASN1Extension.java
+++ b/pki/base/util/src/netscape/security/extensions/GenericASN1Extension.java
@@ -73,9 +73,9 @@ public class GenericASN1Extension extends Extension
      * get, set, delete methods of Certificate, x509 type.
      */
     private String name;
-    public static String OID = null;
+    public String OID = null;
     public static Hashtable<String, String> mConfig = null;
-    public static String pattern = null;
+    public String pattern = null;
     private int index = 0;
 
     // Encode this value
@@ -325,7 +325,7 @@ public class GenericASN1Extension extends Extension
      * Return the OID of this attribute.
      */
     public String getOID() {
-        return (OID);
+        return OID;
     }
 
     /**
diff --git a/pki/base/util/src/netscape/security/extensions/PresenceServerExtension.java b/pki/base/util/src/netscape/security/extensions/PresenceServerExtension.java
index a90abe7e354accaf442dca2987ec4b0fa8f4ed69..4dfffab3d7365f3753ec1ca7aa359b257a669a87 100644
--- a/pki/base/util/src/netscape/security/extensions/PresenceServerExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/PresenceServerExtension.java
@@ -311,7 +311,11 @@ public class PresenceServerExtension extends Extension implements CertAttrSet {
         fos.write(dos.toByteArray());
         fos.close();
 
+        // decode
+
         Extension ext1 = new Extension(new DerValue(dos.toByteArray()));
+
+        @SuppressWarnings("unused")
         PresenceServerExtension ext2 = new PresenceServerExtension(
                 new Boolean(false), ext1.getExtensionValue());
 
diff --git a/pki/base/util/src/netscape/security/pkcs/PKCS7.java b/pki/base/util/src/netscape/security/pkcs/PKCS7.java
index 4de75a4e1a812eee6650257523f1d91ccc785f55..c8fb695824c3a9a7187d7e6762f1574b8f6eec24 100644
--- a/pki/base/util/src/netscape/security/pkcs/PKCS7.java
+++ b/pki/base/util/src/netscape/security/pkcs/PKCS7.java
@@ -336,7 +336,7 @@ public class PKCS7 {
     public SignerInfo[] verify(byte[] bytes)
             throws NoSuchAlgorithmException, SignatureException {
 
-        Vector intResult = new Vector();
+        Vector<SignerInfo> intResult = new Vector<SignerInfo>();
         for (int i = 0; i < signerInfos.length; i++) {
 
             SignerInfo signerInfo = verify(signerInfos[i], bytes);
diff --git a/pki/base/util/src/netscape/security/util/DerInputStream.java b/pki/base/util/src/netscape/security/util/DerInputStream.java
index e85d48ed6351c49c475373a2c864f7ac3055788f..20ced675752afdccbcb1e611158b0aad3d69680b 100644
--- a/pki/base/util/src/netscape/security/util/DerInputStream.java
+++ b/pki/base/util/src/netscape/security/util/DerInputStream.java
@@ -314,7 +314,7 @@ public class DerInputStream {
         /*
          * Pull values out of the stream.
          */
-        Vector vec = new Vector(startLen);
+        Vector<DerValue> vec = new Vector<DerValue>(startLen);
         DerValue value;
 
         do {
diff --git a/pki/base/util/src/netscape/security/x509/Extension.java b/pki/base/util/src/netscape/security/x509/Extension.java
index 5d0029875a243457cafe3f88f40c0543d809efdd..7dc9e2890fb93b4346c87554ad57e12403505eb3 100644
--- a/pki/base/util/src/netscape/security/x509/Extension.java
+++ b/pki/base/util/src/netscape/security/x509/Extension.java
@@ -177,7 +177,7 @@ public class Extension implements Serializable {
 
         byte[] dup = new byte[extensionValue.length];
         System.arraycopy(extensionValue, 0, dup, 0, dup.length);
-        return (dup);
+        return dup;
     }
 
     public void setExtensionValue(byte value[]) {
